Activate Blueprint

Purpose

To publish Blueprint draft or to republish Blueprint draft or to activate a previously deactivated Blueprint in your Zoho CRM organization.

Endpoints

  • POST /settings/blueprints/{blueprint_ID}/actions/activate

Request Details

Request URL

{api-domain}/crm/{version}/settings/blueprints/{blueprint_ID}/actions/activate

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.blueprint.UPDATE 
(or)
ZohoCRM.settings.blueprint.ALL 
(or)
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/6725867000002483149/actions/activate"
-X POST
-d "@input.json"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Input JSON

  • move_records Boolean, mandatory

    When republishing a Blueprint draft, specify whether the active records associated with the current Blueprint version should be moved to the newly published version. The current Blueprint version may already have active records associated with it. Therefore, when activating a draft version, you must decide how those existing records should be handled.

    Possible values:

    • true — Move all active records associated with the current Blueprint version to the newly published version.
    • false — Exit the active records from the current Blueprint and retain them in their last known state.

    This helps ensure that all records within a module follow a consistent process flow at any given time.

  • map_states JSON array, mandatory when move_records is true

    When republishing a Blueprint draft, the current Blueprint version may already have active records associated with it. If the draft is being activated and records need to be moved to the new version, state remapping data must be provided.

    The map_states array contains the mapping between the existing state picklist IDs and the corresponding states in the newly published Blueprint version.

    • existing_statejsonobject, mandatory when move_records is true

      Contains details about the existing state in the current Blueprint version.

      • idstring, mandatory

        The picklist ID of the existing state.

    • replacing_state JSON object, mandatory when move_records is true

      Contains details about the state in the newly published Blueprint version that replaces the existing state.

      • id string, mandatory

        The picklist ID of the replacing state.

Sample Input

Copied{
  "blueprints": [
    {
      "move_records": true,
      "map_states": [
        {
          "existing_state": {
            "id": "675112000000531084"
          },
          "replacing_state": {
            "id": "675112000000532034"
          }
        }
      ]
    }
  ]
}

Possible Errors

  • INVALID_DATAHTTP 400

    The blueprint ID given seems to be invalid.
    Resolution: Specify a valid blueprint ID.

  • LIMIT_EXCEEDEDHTTP 400

    Blueprint limit exceeded.
    Resolution: Reduce the number of blueprints and try again.

  • DEPENDENT_FIELD_MISSINGHTTP 400

    Required dependent fields are missing.
    Resolution: Provide all mandatory dependent fields in the request body.

  • MANDATORY_NOT_FOUNDHTTP 400

    Required field not found.
    Resolution: Include all mandatory fields in the request body.

  • AMBIGUITY_DURING_PROCESSINGHTTP 400

    Invalid or ambiguous state mappings provided.
    Resolution: Provide valid values for map_states.

  • NOT_ALLOWEDHTTP 400
    • A blueprint with the same name already exists.
    • There are disconnected states in the blueprint.
    • Transitions are missing between states.
    • Blueprint is already published.
    • Invalid chart data connections exist.

    Resolution:

    • Ensure blueprint names are unique.
    • Ensure all states are connected properly.
    • Add valid transitions between states.
    • Create a draft version before republishing.
    • Correct invalid chart data connections.

Sample Response

Copied{
  "blueprints": [
    {
      "code": "SUCCESS",
      "details": {
        "id": "6725867000002483149"
      },
      "message": "Blueprint successfully published",
      "status": "success"
    }
  ]
}